Summary
Gets an single automation by its id
Description
Gets an single automation by its id
Route
GET /automation_catalog/automations/:id
Roles
admin
other
readonly
apiread
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| id |
string |
yes |
Unique id of the automation |
Copied to Clipboard
{
"type": "object",
"properties": {},
"required": [],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| document |
object |
Automation document that was requested |
Copied to Clipboard
{
"_id": "82084f317e006fdc60b4bc93",
"name": "test",
"data": {
"gbac": {
"write": [
"50dfbbbf1f057a3b6554ffe8",
"9a595a1927ddbe9264710337",
"62dc18c5d56d08372b5199dd"
],
"read": [
"f0a0c91ec51c62486b869785",
"1dbad215a7486723bf36729e",
"9d9f23ab604726035263f3c2",
"a30a93f05806e4fe723173f1"
]
},
"lastUpdated": "2019-11-25T22:51:39.201Z",
"description": "esse",
"workflowId": "8e3695fe-c5bf-4286-ae83-186b3fea1c1a",
"formId": "abc75111bf04c97094e8bc2d"
},
"lastModifiedBy": "nulla mollit pariatur",
"lastRunAt": "2019-11-25T22:51:39.201Z",
"nextRunAt": "2019-11-25T22:51:39.201Z",
"repeatInterval": "2 months",
"migratedToOM": false,
"correspondingOMAutomationId": "69d275b3e0ff22116ee15bd6"
}